
Redmine - Defect #6703

Mylyn fails to submit comment b/c screenshot plugin

2010-10-20 06:29 - PC Guy

Status: Closed Start date: 2010-10-20

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Plugin Request Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 1.0.2

Description

Submiting a comment on a task in eclipse with redmin-mylyn plugin always fails with:

A NoMethodError occurred in issues#update:

undefined method `[]' for nil:NilClass

[RAILS_ROOT]/vendor/plugins/redmine_screenshot_paste/init.rb:49:in `attach_files'

Redmine r4264

Mylyn Connector plugin                   2.7.0.stable.RC3

Screenshot Paste                         1.1.0

-------------------------------

Backtrace:

-------------------------------

  [RAILS_ROOT]/vendor/plugins/redmine_screenshot_paste/init.rb:49:in `attach_files'

  [RAILS_ROOT]/app/models/issue.rb:504:in `save_issue_with_child_records'

  /var/lib/gems/1.8/gems/activerecord-2.3.5/lib/active_record/connection_adapters/abstract/dat

abase_statements.rb:136:in `transaction'

  /var/lib/gems/1.8/gems/activerecord-2.3.5/lib/active_record/transactions.rb:182:in `transact

ion'

  [RAILS_ROOT]/app/models/issue.rb:492:in `save_issue_with_child_records'

  [RAILS_ROOT]/app/controllers/issues_controller.rb:170:in `update'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/base.rb:1331:in `send'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/base.rb:1331:in `perform_actio

n_without_filters'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/filters.rb:617:in `call_filter

s'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/filters.rb:610:in `perform_act

ion_without_benchmark'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/benchmarking.rb:68:in `perform

_action_without_rescue'

  /var/lib/gems/1.8/gems/activesupport-2.3.5/lib/active_support/core_ext/benchmark.rb:17:in `m

s'

  /usr/lib/ruby/1.8/benchmark.rb:308:in `realtime'

  /var/lib/gems/1.8/gems/activesupport-2.3.5/lib/active_support/core_ext/benchmark.rb:17:in `m

s'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/benchmarking.rb:68:in `perform

_action_without_rescue'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/rescue.rb:160:in `perform_acti

on_without_flash'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/flash.rb:146:in `perform_actio

n'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/base.rb:532:in `send'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/base.rb:532:in `process_withou

t_filters'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/filters.rb:606:in `process'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/base.rb:391:in `process'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/base.rb:386:in `call'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/routing/route_set.rb:437:in `c
all'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:87:in `dispatch'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:121:in `_call'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:130:in `build_mi

ddleware_stack'

  /var/lib/gems/1.8/gems/activerecord-2.3.5/lib/active_record/query_cache.rb:29:in `call'

  /var/lib/gems/1.8/gems/activerecord-2.3.5/lib/active_record/query_cache.rb:29:in `call'

  /var/lib/gems/1.8/gems/activerecord-2.3.5/lib/active_record/connection_adapters/abstract/que

ry_cache.rb:34:in `cache'

  /var/lib/gems/1.8/gems/activerecord-2.3.5/lib/active_record/query_cache.rb:9:in `cache'

  /var/lib/gems/1.8/gems/activerecord-2.3.5/lib/active_record/query_cache.rb:28:in `call'

  /var/lib/gems/1.8/gems/activerecord-2.3.5/lib/active_record/connection_adapters/abstract/con

nection_pool.rb:361:in `call'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/string_coercion.rb:25:in `call

'

  /var/lib/gems/1.8/gems/rack-1.0.1/lib/rack/head.rb:9:in `call'

  /var/lib/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:24:in `call'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/params_parser.rb:15:in `call'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/session/cookie_store.rb:93:in 

`call'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/failsafe.rb:26:in `call'

  /var/lib/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

  /var/lib/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `synchronize'

  /var/lib/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

  /var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/dispatcher.rb:106:in `call'

  /usr/lib/ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

  /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:418:in `start_request_handl

er'

  /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:358:in `handle_spawn_applic

ation'

  /usr/lib/ruby/1.8/phusion_passenger/utils.rb:184:in `safe_fork'

  /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:354:in `handle_spawn_applic

ation'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

  /usr/lib/ruby/1.8/phusion_passenger/railz/application_spawner.rb:213:in `start'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:262:in `spawn_rails_application'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:256:in `spawn_rails_application'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:255:in `spawn_rails_application'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:154:in `spawn_application'

  /usr/lib/ruby/1.8/phusion_passenger/spawn_manager.rb:287:in `handle_spawn_application'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

  /usr/lib/ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

  /usr/lib/phusion_passenger/passenger-spawn-server:61

Related issues:

Related to Redmine - Defect #6323: Screenshot plugin conflicts with issue cre... Closed 2010-09-07

History

#1 - 2010-10-20 11:55 - Holger Just

- Category deleted (Plugin API)

- Assignee deleted (Eric Davis)

Please don't assign issues to people without them explicitly saying so.

#2 - 2010-10-20 20:55 - PC Guy
Sorry, that was a mistake, I only want to assign category Plugin API.

I hope that was correct category as Redmine Mylyn Plugin Developer said it is a problem with Screenshot Plugin 

https://sourceforge.net/tracker/?func=detail&atid=1075435&aid=3091046&group_id=228995

Thank you

#3 - 2010-10-21 02:39 - Eric Davis

Holger Just wrote:

Please don't assign issues to people without them explicitly saying so.

 It's ok, I'm set as auto-assign for Plugin API requests. (the only case where it's fine)

What's the Screenshot Plugin?

#4 - 2010-10-21 02:56 - PC Guy

Eric Davis wrote:

What's the Screenshot Plugin?

 Written by none other than Jean-Philippe Lang

And lists this tracker as its ITS

http://www.redmine.org/wiki/redmine/Plugin_List#Screenshot-Paste-plugin

#5 - 2011-02-23 15:47 - Terence Mill

Dupe of Issue #6323

#6 - 2011-02-26 16:56 - Jean-Philippe Lang

- Category set to Plugin Request

- Status changed from New to Closed

- Resolution set to Fixed

New version 1.1.1 of the plugin fixes this issue.
